$(function() {
	$('.slider_callout').hide();
	window.calloutVisible = false;

  $.each(Drupal.settings.slider_settings, function(elem_id, settings) {
    
    settings.start = function(e, ui) {
      $(this).find('.slider_callout').fadeIn('fast', function() { window.calloutVisible = true;});
      if (settings.callbacks && settings.callbacks.start) {
        eval(settings.callbacks.start)(e, ui);
      };
    }; 

    settings.stop = function(e, ui) {
      if (window.calloutVisible == false) {
        $(this).find('.slider_callout').fadeIn('fast', function() { window.calloutVisible = true;});
        $(this).find('.slider_callout').css('left', ui.handle.css('left')).text(Math.round(ui.value));
      }
			$(this).find('.slider_callout').fadeOut('fast', function() { window.calloutVisible = false; });
			
      $('#' + elem_id).val(ui.value);

      if (settings.callbacks && settings.callbacks.stop) {
        eval(settings.callbacks.stop)(e, ui);
      };
    };

    settings.slide = function(e, ui) {
      $('.slider_callout').css('left', ui.handle.css('left')).text(Math.round(ui.value));
      if (settings.callbacks && settings.callbacks.slide) {
        eval(settings.callbacks.slide)(e, ui);
      };
    }; 
    
    settings.handle = '.slider_handle';
    $('#slider_bar_' + elem_id).slider(settings);
  });
});